# See https://github.com/Mic92/dotfiles/blob/d6114726d859df36ccaa32891c4963ae5717ef7f/nixos/.sops.yaml
keys:
  - &matt-pgp CBCB9B18A6B8930B0B6ABFD1CCB8CBEB30633684
  - &matt age157jemphjzg6zmk373vpccuguyw6e75qnkqmz8pcnn2yue85p939swqqhy0
  - &matt_pi4 age13g9a4d4jrvckfddpgn8sm4kjtzajr67le56pfdg78ktr5pd09phq32j89u
  - &matt_pi5 age1wpvfpv5n32lruk7c0da4uaeapsmhjxdvg8z4ljehn06l6g2y0e0sum404l
  - &desktop age1jv8ap5zwa49ftv0gg7wqf5ps0e68uuwxe2fekjsn0zkyql964unqyc58rf
  - &admin age1pm3fehmmk0vmnrscz9vm96rakn46aaldr5ydpscmde3v9x0k3faswwdzxs
  - &jallen-nas age1mn2afyp9my7y7hcyzum0wdwt49zufnkt8swnyy8pj30cwzs4zvgsthj0lt
  - &pi4 age1ykkjw57t3z3deup3gtp7dujyaslskn74e0d9hsmqaha2pj3rvazqgndw5a
  - &pi5 age1t2d5scrukk0guva5sr97a8tge5j8kd865adezrcru7p269pzwvpsamkgje
  - &deck age1c8qw59ffcq9l77gfmtyc3djtvt3md0u6dwhrjcgsm98ntyf72ufqugj7cg
  - &steamdeck age1er5qucsc2mugrzrr7n3xhzv7kemkrqrw4m84r544fkk7nkg5g5eswxkqj0
  - &matt_macbook-pro age19daqsncuzeh3j6cwk8uxp6yfj8h0qtz02jxlwwy4v8j0mfgznsvq30440g
  - &macbook-pro age19w4zafpwnq9yhzuf8r5te2yhq7xlqj76rcgzcz935hllyrz4yvws4jn6ca
  - &nuc age102el4snus37dj807rwvsmlvwu2sg2d8rw3vfmtntgczfkz04l9nshetcq0
  - &admin_nuc age102el4snus37dj807rwvsmlvwu2sg2d8rw3vfmtntgczfkz04l9nshetcq0
  - &matt_allyx age1n5frpwgvps7c2348ynu9g7g47kqar4srdplw5kkcyn4x80eqzetqw3ej2m
  - &allyx age1lvks0rdf743cn9rvvx90mzu3mjldydlzslpmv9608wn4j0m8u3xsmu7yew
creation_rules:
  - path_regex: secrets/[^/]+\.(yaml|json|env|ini)$
    key_groups:
      - pgp:
          - *matt-pgp
        age:
          - *matt
          - *matt_pi4
          - *matt_pi5
          - *desktop
          - *admin
          - *jallen-nas
          - *pi4
          - *pi5
          - *deck
          - *steamdeck
          - *matt_macbook-pro
          - *macbook-pro
          - *admin_nuc
          - *nuc
          - *matt_allyx
          - *allyx
  - path_regex: nas-secrets/[^/]+\.(yaml|json|env|ini)$
    key_groups:
      - pgp:
          - *matt-pgp
        age:
          - *matt
          - *desktop
          - *admin
          - *jallen-nas
  - path_regex: desktop-secrets/[^/]+\.(yaml|json|env|ini)$
    key_groups:
      - pgp:
          - *matt-pgp
        age:
          - *matt
          - *desktop
          - *admin
          - *jallen-nas
  - path_regex: steamdeck-secrets/[^/]+\.(yaml|json|env|ini)$
    key_groups:
      - pgp:
          - *matt-pgp
        age:
          - *matt
          - *desktop
          - *deck
          - *steamdeck
          - *admin
          - *jallen-nas
          - *matt_allyx
          - *allyx
  - path_regex: pi4-secrets/[^/]+\.(yaml|json|env|ini)$
    key_groups:
      - pgp:
          - *matt-pgp
        age:
          - *matt
          - *matt_pi4
          - *matt_pi5
          - *desktop
          - *pi4
          - *pi5
          - *admin
          - *jallen-nas
  - path_regex: pi5-secrets/[^/]+\.(yaml|json|env|ini)$
    key_groups:
      - pgp:
          - *matt-pgp
        age:
          - *matt
          - *matt_pi4
          - *matt_pi5
          - *desktop
          - *pi4
          - *pi5
          - *admin
          - *jallen-nas
  - path_regex: mac-secrets/[^/]+\.(yaml|json|env|ini)$
    key_groups:
      - pgp:
          - *matt-pgp
        age:
          - *matt
          - *matt_pi5
          - *desktop
          - *pi5
          - *admin
          - *jallen-nas
          - *matt_macbook-pro
          - *macbook-pro
